/* Boîte modale */
.modal{
    position: fixed;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    background: #3179c14b;
    z-index: 80000;
    display: flex;
    align-items: center;
    justify-content: center;
    animation: fadeIn .3s both;
}
.modal-wrapper{
    background: var(--color_white);
    width: 600px;
    padding: 20px;
    max-width: calc(100vw - 20px);
    max-height: calc(100vh - 20px);
    overflow: auto;
    border-radius: 5px;
    animation: slideFromTop .5s both;
}
.modal[aria-hidden="true"]{
    animation-name: fadeOut;
}
.modal[aria-hidden="true"] .modal-wrapper{
    animation-name: slideToTop;
}


/*
* Animations
*/
@keyframes fadeIn {
    from{ opacity: 0; }
    to{ opacity: 1; }
}
@keyframes slideFromTop {
    from{ transform: translateY(-50px); }
    to{ transform: translateY(0px); }
}

@keyframes fadeOut {
    from{ opacity: 1; }
    to{ opacity: 0; }
}
@keyframes slideToTop {
    from{ transform: translateY(0px); }
    to{ transform: translateY(-50px); }
}